org.springframework.web.socket.server.support

## Class DefaultHandshakeHandler

- java.lang.Object
- - org.springframework.web.socket.server.support.AbstractHandshakeHandler
  - - org.springframework.web.socket.server.support.DefaultHandshakeHandler

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.Lifecycle, org.springframework.web.context.ServletContextAware, HandshakeHandler

    public class DefaultHandshakeHandler
    extends AbstractHandshakeHandler
    implements org.springframework.web.context.ServletContextAware

A default `HandshakeHandler` implementation, extending `AbstractHandshakeHandler` with Servlet-specific initialization support. See `AbstractHandshakeHandler`'s javadoc for details on supported servers etc.

Since:
  4.0
Author:
  Rossen Stoyanchev, Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.web.socket.server.support.AbstractHandshakeHandler

`logger`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHandshakeHandler()`
`DefaultHandshakeHandler(RequestUpgradeStrategy requestUpgradeStrategy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setServletContext(ServletContext servletContext)`

### Methods inherited from class org.springframework.web.socket.server.support.AbstractHandshakeHandler

`determineHandlerSupportedProtocols, determineUser, doHandshake, doStart, doStop, filterRequestedExtensions, getRequestUpgradeStrategy, getSupportedProtocols, getSupportedVersions, handleInvalidConnectHeader, handleInvalidUpgradeHeader, handleWebSocketVersionNotSupported, isRunning, isValidOrigin, isWebSocketVersionSupported, selectProtocol, setSupportedProtocols, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHandshakeHandler

    public DefaultHandshakeHandler()

#### DefaultHandshakeHandler

    public DefaultHandshakeHandler(RequestUpgradeStrategy requestUpgradeStrategy)

### Method Detail

#### setServletContext

    public void setServletContext(ServletContext servletContext)

Specified by:
  `setServletContext` in interface `org.springframework.web.context.ServletContextAware`